Installation for Disaster Recovery for Dell
Introduction
The Superna Disaster Recovery (DR) Edition installation guide provides instructions for successfully deploy the Superna DR solution. This page gives an high-level overview of the full installation process and the phases it includes, such as reviewing system requirements, deploying a Superna virtual appliance, configuring hardware clusters, and the initial setup of the Superna DR Solution environment. At the end of this guide are some recommended next steps for after you have successfully installed and initially configured Superna DR Edition.
Requirements and Prerequisites
Before installing Superna Disaster Recovery, review the comprehensive prerequisites including platform compatibility, system requirements, and network configurations.
The prerequisites page includes detailed requirements specific to this installation.
System Requirements
Confirm the following before deploying the virtual appliance — see Prerequisites for the complete, current requirements list (supported virtualization platforms, vCenter versions, network, authentication, and browser requirements):
- CPU: 4 vCPU
- Memory: 24 GB RAM (may need to be upgraded based on scalability requirements — see the Scalability Limits table below)
- Disk Space: 58 GB (OS partition) + 140 GB (additional) = 198 GB total in VMware
Ports Requirements
| Port | Protocol | Source --> Destination | Description |
|---|---|---|---|
| DNS 53 UDP | DNS | Appliance --> DNS server OR Appliance --> GroupNet (DNS configured on all clusters) | Functional DNS is a requirement for multiple validations needed for failover and Failover Readiness |
| TLS 443 | TCP TLS 1.2 | Appliance --> Internet | DR Remote Monitoring or Phone Home remote log upload for support and health checks |
| NTP 123 | UDP | Appliance --> NTP server in your environment | Time sync should use same NTP as the clusters. Always disable VMware host VM time sync option. |
| SMTP 25 | TCP | Appliance --> Mail server in your environment | Email of alarms from Eyeglass to your mail server |
| HTTP 80 | TCP | Appliance --> Open Suse Mirror Repositories | URL to allow security updates: Open Suse Download Security patches come directly from Open Suse and requires the appliance to have access to download the patches and apply on a weekly schedule. |
| HTTPS 8080 | TCP TLS 1.2 | Appliance --> Isilon/PowerScale OneFS cluster | REST API is authenticated using the service account created here. Authentication uses Isilon session authentication method. |
| SSH 22 | AES | Appliance --> Isilon/PowerScale OneFS cluster | SSH access for some CLI commands |
| HTTPS 443 | TCP TLS 1.2 AES - Unsigned certificate | Admin PC browser --> Appliance | Secures client to browser access |
| Target Port 80 --> Destination random TCP source port on the browser | Only used to redirect to 443, can be blocked if needed | Admin PC browser --> Appliance | If connection on IP address port 80 is made, an HTTP 301, 302 redirect is returned on port 80 to switch the browser to https and url https:/x.x.x.x/eyeglass. No services run on port 80 and this is only used to redirect to port 443 HTTPS. |
| HTTPS 2011 Websocket | TCP TLS 1.2 AES | Admin PC browser --> Appliance | Websocket for real-time appliance to browser updates (redirected to 2012) |
| TLS 2012 Websocket | TCP TLS 1.2 AES | Admin PC browser --> Appliance | Websocket for real-time appliance to browser updates (redirected to 2012) |
| SSH 22 | TCP AES | Admin PC browser --> Appliance | Secure shell access |
| Proxy login SMB 2 (only) 445 | TCP | Appliance --> Isilon/PowerScale OneFS | Used to authenticate to AD through Isilon/PowerScale OneFS using standard Microsoft SMB authentication request for Role based login proxy interface |
| Dual DNS Delegation | UDP | Appliance Port 53 UDP DNS --> Groupnet(x) DNS servers | New in 2.5.6 or later, requires Eyeglass to be able to access the Groupnet DNS servers to validate Dual DNS delegation is configured correctly. The OS DNS is not used since the DNS that must be configured correctly is used by Isilon/PowerScale OneFS itself. |
| Internet Control Message Protocol | ICMP | Appliance --> Isilon/PowerScale OneFS | If for any reason ICMP is disabled, or PMTUD is not supported, this causes PowerScale OneFS to default the MTU to 536 bytes, which typically leads to performance degradation. |
Phone Home Requirements
The TLS 443 port above covers DR Remote Monitoring / Phone Home log upload for Disaster Recovery, Ransomware Defender, Easy Auditor, and Performance Auditor. The sections below cover the specific URLs to whitelist, how to test connectivity, and what data Phone Home actually sends.
Eyeglass Support and Phone Home Whitelist URLs
Admin PC browser access to the Superna support site (support.superna.net) requires:
https://*.zopim.comhttps://licenses.supernaeyeglass.comhttps://support.superna.nethttps://supernahelp.zendesk.comhttps://cloudapps.supernaeyeglass.com
Downloading software and license keys from the support site requires:
https://software.supernaeyeglass.comhttps://licenses.supernaeyeglass.com
Appliance-to-internet Phone Home/monitoring URLs:
https://cloudapps.supernaeyeglass.com— IP35.244.217.10https://na-static-phonehome.supernaeyeglass.com— IP35.207.34.234
Chrome, and Edge (Chromium-based).
Phone Home Remote Monitoring Test Steps
To confirm the appliance can reach the required Phone Home URLs through your firewall:
-
SSH to the Eyeglass appliance as
admin. -
Test the GET path:
wget https://na-static-phonehome.supernaeyeglass.com -
Test the POST path:
curl -X POST -k http://na-static-phonehome.supernaeyeglass.com -
Send the output of both commands to Superna Support if you need help confirming connectivity.